import unittest

from utils import run_file


class TestIfElif(unittest.TestCase):
    def test_if_elif_else(self):
        self.assertTrue(run_file(["if_elif_else.alc", "primitives.alc"],
            [-1, 10, 11, 0, 1, 0, -100],
            [-1, 1, 1, 0, 1, 0, -1]))

    def test_if_elif(self):
        self.assertTrue(run_file(["if_elif.alc", "primitives.alc"],
                                 [-1, 10, 11, 0, 1, 0, -100],
                                 [-1, 1, 1, 0, 1, 0, -1]))
